<?php
namespace Teknisa\CADFIS\Services;

use Doctrine\DBAL\Connection;
use Teknisa\Libs\Util\Environment;
use Teknisa\CADFIS\Services\GeneralService as GeneralService;

class RegiaoService
{
    protected $dataSourceName = "regiao";
    protected $entityManager;
    protected $crudService;
    protected $generalService;
    
    public function __construct($entityManager, $crudService, Connection $connection, Environment $environment)
    {
        $this->entityManager = $entityManager;
        $this->crudService = $crudService;
        $this->connection = $connection;
        $this->environment = $environment;
        $this->generalService = new GeneralService($this->connection, $this->environment);
    }
    
    public function verifyCdRegiaoExists($row)
    {
        return $this->generalService->verifyCdRegiaoExists($row);
    }
    
    public function verifyCdPaisExists($row)
    {
        return $this->generalService->verifyCdPaisExists($row);
    }
    
    public function verifySgEstadoExists($row)
    {
        return $this->generalService->verifySgEstadoExists($row);
    }
    
    public function saveImport($rows)
    {
        $this->crudService->save($this->dataSourceName, $rows);
    }
}